This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 444826 - GPG support needs work
GPG support needs work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-30 16:46 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 11:43:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-04-30 16:46:05 EDT
Description of problem:

1) it shouldn't tell the user to restart the transaction. It should just restart it
2) when triggered from the 'review updates' screen, it hangs the update progress
thing, which needs to be manually dismissed
2) If you do right-click->Update System on the icon, the GPG key adder is never
triggered (and it isn't at all obvious how you would trigger it if you don't
know it's in the 'update review' dialog)

Version-Release number of selected component (if applicable):

PackageKit-0.1.12-8.20080425.fc9
gnome-packagekit-0.1.12-11.20080430.fc9
Comment 1 Richard Hughes 2008-05-01 06:38:48 EDT
1) In master it does - in fact it handles the interaction much better - but the
change is very invasive
2) Yup
3) Yes - I could fix this for F9 if you wish, but it'll be the same bodge as the
others. Yell if you want me to do it.
Comment 2 Bill Nottingham 2008-05-01 09:45:12 EDT
How invasive is invasive? As it's the first release we've shipped with PK, I'm
not concerned about the ABI. :)  If nothing else, it should probably queue a
refresh so it's not waiting for the next scheduled check to tell you that
updates are still available.

Is #2 fixable as well?
Comment 3 Bill Nottingham 2008-05-01 09:49:32 EDT
Also, for #3, it displays 'The system update has completed', when it hasn't.
Comment 4 Richard Hughes 2008-05-01 19:33:24 EDT
Are we loading the keys (rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora*) at
firstboot/anaconda now? If so, this bug is very low visibility. Is not, then
very high visibility. Jeremy was being a bit vague on irc in the meeting, so I'm
not sure what was decided.
Comment 5 Richard Hughes 2008-05-01 19:54:16 EDT
3) fixed in http://koji.fedoraproject.org/koji/buildinfo?buildID=47841
Comment 6 Will Woods 2008-05-02 10:44:41 EDT
Key imports are happening in anaconda for F9, which significantly reduces the visibility of these problems.

I think this can therefore be moved from the blockers to F9Target (we'd still like to see fixes ASAP in F9 
updates).


Comment 7 Bill Nottingham 2008-05-02 11:26:18 EDT
Moving back for the moment - I consider the built fix a blocking need (as it
prevents updates). The other two bits are just potential enhancements.
Comment 8 Bill Nottingham 2008-05-02 11:43:05 EDT
Tested the packages, they fix issue #3. Closing.

Note You need to log in before you can comment on or make changes to this bug.